@import "reset.css";

body{
    background-color: #f6f9fc;
    font-family : -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 50px 0px; /*위 아래 여백 50px씩*/
}

.canvas{
    width:500px;
    height: 500px;
    background-color:white;
    border-radius: 15px;
    /*그림자*/
    box-shadow: 0 4px 6px rgba(50, 50, 93, 0.11), 0 1px 3px rgba(0, 0, 0, 0.08); 
}

.controls{
    margin-top:40px;
    display:flex;
    flex-direction: column; /*버튼 class와 색상 class가 세로로 배열*/
    align-items:center;
}

.controls .controls__colors{
    display: flex; /*가로로 색들이 배열되도록 함*/
}

.controls .controls__btns{
    margin-bottom:30px;
}

.controls__btns button{
    all: unset; /*원래 있던 버튼 css를 없앰*/
    cursor: pointer;
    background-color:white;
    padding:5px 0px;
    width:80px;
    text-align:center;
    border-radius:5px; /*둥근 사각형으로 만들기*/
    box-shadow: 0 4px 6px rgba(50, 50, 93, 0.11), 0 1px 3px rgba(0, 0, 0, 0.08);
    border:1px solid rgba(0,0,0,0.2);
    color: rgba(0,0,0,0.7);
    text-transform:uppercase;
    font-weight:700;
    font-size:12px;
}

.controls__btns button:active{
    transform: scale(0.98); /*버튼 눌리는 효과*/
}

.controls__colors .controls__color{
    width:50px;
    height:50px;
    border-radius: 25px;/*width 반 값을 주면 원으로 만들 수 있음*/
    cursor: pointer;
    margin-left:2px; /*색 사이의 간격*/
    margin-right:2px;
    box-shadow: 0 4px 6px rgba(50, 50, 93, 0.11), 0 1px 3px rgba(0, 0, 0, 0.08);
}

.controls .controls__range{
    margin-bottom: 30px;
}